ru.yandex.clickhouse

## Class LZ4EntityWrapper

- java.lang.Object
- - org.apache.http.entity.AbstractHttpEntity
  - - ru.yandex.clickhouse.LZ4EntityWrapper

All Implemented Interfaces:
  org.apache.http.HttpEntity

    public class LZ4EntityWrapper
    extends org.apache.http.entity.AbstractHttpEntity

### Field Summary

### Fields inherited from class org.apache.http.entity.AbstractHttpEntity

`chunked, contentEncoding, contentType, OUTPUT_BUFFER_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`LZ4EntityWrapper(org.apache.http.entity.AbstractHttpEntity content, int maxCompressBlockSize)`
`LZ4EntityWrapper(org.apache.http.HttpEntity content, int maxCompressBlockSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InputStream` `getContent()`
`long` `getContentLength()`
`boolean` `isRepeatable()`
`boolean` `isStreaming()`
`void` `writeTo(OutputStream outputStream)`

### Methods inherited from class org.apache.http.entity.AbstractHttpEntity

`consumeContent, getContentEncoding, getContentType, isChunked, setChunked, setContentEncoding, setContentEncoding, setContentType, setContentType, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LZ4EntityWrapper

    public LZ4EntityWrapper(org.apache.http.entity.AbstractHttpEntity content,
                            int maxCompressBlockSize)

#### LZ4EntityWrapper

    public LZ4EntityWrapper(org.apache.http.HttpEntity content,
                            int maxCompressBlockSize)

### Method Detail

#### isRepeatable

    public boolean isRepeatable()

#### getContentLength

    public long getContentLength()

#### getContent

    public InputStream getContent()
                           throws IOException,
                                  IllegalStateException

Throws:
  `IOException`
  `IllegalStateException`

#### writeTo

    public void writeTo(OutputStream outputStream)
                 throws IOException

Throws:
  `IOException`

#### isStreaming

    public boolean isStreaming()